/*
 * DeleteSqlTest.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.dbaccess;

import jp.co.cybec.cb3.accessor.dbaccess.DeleteSql;
import junit.framework.Assert;

import org.junit.Test;

/**
 *
 * DeleteSqlクラスのテストケース
 * @author Lijuan Sun
 */
public class DeleteSqlTest{


	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * IDが指定される場合
	 */
	@Test
	public void testGetId001() {

		DeleteSql intSql = new DeleteSql();

		intSql.setId("Delete001");
		Assert.assertEquals("Delete001",intSql.getId());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * IDが空文字列を指定される場合
	 */
	@Test
	public void testGetId002() {

		DeleteSql intSql = new DeleteSql();

		intSql.setId("");
		Assert.assertEquals("",intSql.getId());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * IDがnullを指定される場合
	 */
	@Test
	public void testGetId003() {

		DeleteSql intSql = new DeleteSql();

		intSql.setId(null);
		Assert.assertNull(intSql.getId());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * IDが指定される場合
	 */
	@Test
	public void testSetId() {

		DeleteSql intSql = new DeleteSql();

		intSql.setId("Delete002");
		Assert.assertEquals("Delete002",intSql.getId());
	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * IDが指定される場合
	 */
	@Test
	public void testGetDelete001() {

		DeleteSql intSql = new DeleteSql();

		intSql.setDelete("Delete * from EMPLOYEE");
		Assert.assertEquals("Delete * from EMPLOYEE",intSql.getDelete());
	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * SQL文が空文字列を指定される場合
	 */
	@Test
	public void testGetDelete002() {

		DeleteSql intSql = new DeleteSql();

		intSql.setDelete("");
		Assert.assertEquals("",intSql.getDelete());

	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * SQL文がnullを指定される場合
	 */
	@Test
	public void testGetDelete003() {

		DeleteSql intSql = new DeleteSql();

		intSql.setDelete(null);
		Assert.assertNull(intSql.getDelete());

	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * SQL文が指定される場合
	 */
	@Test
	public void testSetDelete() {

		DeleteSql intSql = new DeleteSql();

		intSql.setDelete("");
		Assert.assertEquals("",intSql.getDelete());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * 分割コミット単位が指定される場合
	 */
	public void testGetCommitLimitCount001(){

		String count = "5";
		DeleteSql delSql = new DeleteSql();
		delSql.setCommitLimitCount(count);
		Assert.assertEquals("5", delSql.getCommitLimitCount());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * 分割コミット単位がnullを指定される場合
	 */
	public void testGetCommitLimitCount002(){

		String count = null;
		DeleteSql delSql = new DeleteSql();
		delSql.setCommitLimitCount(count);
		Assert.assertNull(delSql.getCommitLimitCount());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * 分割コミット単位が空文字列を指定される場合
	 */
	public void testGetCommitLimitCount003(){

		String count = "";
		DeleteSql delSql = new DeleteSql();
		delSql.setCommitLimitCount(count);
		Assert.assertEquals("",delSql.getCommitLimitCount());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.DeleteSql} のためのテスト・メソッド。
	 * 分割コミット単位が指定される場合
	 */
	public void testSetCommitLimitCount001(){

		String count = "5";
		DeleteSql delSql = new DeleteSql();
		delSql.setCommitLimitCount(count);
		Assert.assertEquals("5", delSql.getCommitLimitCount());
	}
}
